<div>
  <div class="mb-4">
    <div class="input-item">
      <span>Email<sup> *</sup></span>
      <input type="email"
             placeholder="Введите email"
             pInputText
             [ngClass]="{'empty-field': !email}"
             [(ngModel)]="email"/>
    </div>
    <div class="input-item">
      <span>Пароль<sup> *</sup></span>
      <input type="password"
             placeholder="Введите пароль"
             pInputText
             [ngClass]="{'empty-field': !password}"
             [(ngModel)]="password"/>
    </div>
    <div class="input-item">
      <span>Подтверждение пароля<sup> *</sup></span>
      <input type="password"
             placeholder="Введите пароль еще раз"
             pInputText
             [ngClass]="{'empty-field': !passwordConfirm}"
             [(ngModel)]="passwordConfirm"/>
    </div>
  </div>

  <div class="form-caption">
    <p>* поля являются обязательными</p>
  </div>

  <div>
    <button type="submit"
            (click)="register()"
            [disabled]="!email || !password || !passwordConfirm"
            class="btn btn-primary w-100">
      Зарегестрироваться
    </button>
  </div>
</div>
